<ui:composition xmlns:rich="http://richfaces.org/rich" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml">
    <dl>
        <s:decorate template="/layout/display/_data_list_item.xhtml">
            <ui:define name="label">#{messages['gazelle.simulator.pam.PatientHistory']}</ui:define>
            <rich:list value="#{patientHistory.getPatientsHistoryAsCurrentPatient(patient)}" var="hist"
                       rendered="#{patient.id != null}" type="unordered">
                <h:outputText value="#{hist.timestamp} - "/>
                <h:outputText
                        value="#{messages['gazelle.simulator.pam.PatientHasBeen']} #{hist.getActionDisplayName()} "/>
                <h:outputText value="(#{hist.facility} " rendered="#{not empty hist.facility and not empty hist.application}"/>
                <h:outputText value=" #{hist.application})" rendered="#{not empty hist.facility and not empty hist.application}"/>
                <h:outputText
                        value=" #{messages['gazelle.simulator.pam.within']} #{hist.messageType} #{messages['gazelle.simulator.pam.message2']} "
                        rendered="#{hist.messageType != null}"/>
                <h:commandLink value="#{messages['gazelle.simulator.pam.patient']} ##{hist.otherPatient.id} "
                               action="#{patient.getPermanentLink(hist.otherPatient)}" target="_blank"
                               rendered="#{hist.otherPatient != null}"/>
                <h:outputText value="#{messages['gazelle.simulator.pam.By']} #{hist.username} "
                              rendered="#{hist.username != null}"/>
            </rich:list>
        </s:decorate>
    </dl>
</ui:composition>
